Name:           python3-openid
Version:        3.0.5
Release:        1%{?dist}
Summary:        Python 3 port of the python-openid library
Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/necaris/python3-openid
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Patch0:         python3-openid-3.0.2-cryptutil-bytes.patch
Patch1:         python3-openid-3.0.2-admin-runtests-python3.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-defusedxml

%description
This started out as a fork of the Python OpenID library,
with changes to make it Python 3 compatible.
It's now a port of that library,
including cleanups and updates to the code in general.


%prep
%setup -q
#%patch0 -p1 -b .cryptutil-bytes
%patch1 -p1 -b .admin-runtests-python3


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}

# remove .po files
find %{buildroot} -name "*.po" | xargs rm -f


%check
LC_ALL=en_US.UTF-8 %{__python3} admin/runtests


%files
%doc LICENSE NEWS.md
%dir %{python3_sitelib}/openid
%{python3_sitelib}/openid/*.py
%dir %{python3_sitelib}/openid/__pycache__
%{python3_sitelib}/openid/__pycache__/*.py[co]
%dir %{python3_sitelib}/openid/consumer
%{python3_sitelib}/openid/consumer/*.py
%dir %{python3_sitelib}/openid/consumer/__pycache__
%{python3_sitelib}/openid/consumer/__pycache__/*.py[co]
%dir %{python3_sitelib}/openid/extensions
%{python3_sitelib}/openid/extensions/*.py
%dir %{python3_sitelib}/openid/extensions/__pycache__
%{python3_sitelib}/openid/extensions/__pycache__/*.py[co]
%dir %{python3_sitelib}/openid/extensions/draft
%{python3_sitelib}/openid/extensions/draft/*.py
%dir %{python3_sitelib}/openid/extensions/draft/__pycache__
%{python3_sitelib}/openid/extensions/draft/__pycache__/*.py[co]
%dir %{python3_sitelib}/openid/server
%{python3_sitelib}/openid/server/*.py
%dir %{python3_sitelib}/openid/server/__pycache__
%{python3_sitelib}/openid/server/__pycache__/*.py[co]
%dir %{python3_sitelib}/openid/store
%{python3_sitelib}/openid/store/*.py
%dir %{python3_sitelib}/openid/store/__pycache__
%{python3_sitelib}/openid/store/__pycache__/*.py[co]
%dir %{python3_sitelib}/openid/yadis
%{python3_sitelib}/openid/yadis/*.py
%dir %{python3_sitelib}/openid/yadis/__pycache__
%{python3_sitelib}/openid/yadis/__pycache__/*.py[co]
%{python3_sitelib}/python3_openid-%{version}-py3.*.egg-info


%changelog
* Wed Jun 17 2015 Jakub Dorňák <jdornak@redhat.com> - 3.0.5-1
- Update to version 3.0.5

* Wed Jun 17 2015 Jakub Dorňák <jdornak@redhat.com> - 3.0.2-4
- use BytesIO to write the response (instead of StringIO)
    Resolves: 1232809

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Nov 29 2013 Jakub Dorňák <jdornak@redhat.com> - 3.0.2-1
- Initial package
